// $Id$

// jquery-ui dialogs help
.ui-dialog {
	webkit-box-shadow: 0 0 1rem rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 1rem rgba(0, 0, 0, 0.25);
}

.ui-dialog label {
	display: block;
}

.ui-datepicker, .ui-dialog {
	z-index: 1024;
}

h4.ui-accordion-header {
	padding-left: 2.2em;
}

// jquery validation
div.form-group label.error {
	font-weight: normal !important;
}
.tiki .chosen-container .active-result {
	width: auto !important;
}

// Chosen is calculating the widths wrong (too narrow) so this is a crude workaround.
.tiki .chosen-container-single,
.tiki #assign_order_chosen.chosen-container {
	min-width: 5em;
}

.tiki .chosen-container .chosen-container-single {
	max-width: 100%;
}

// Prevent the placeholder text "Select Some Options" being cut off at 90px
.chosen-container-multi .chosen-choices .search-field .default {
	min-width: 20em;
}

.chosen-container + .alert {margin-top: 20px;}

.chosen-container .chosen-results li.active-result.text-muted.bg-info {
  background: $info;
}

.chosen-container .chosen-results li.active-result.text-muted.bg-info {
  color: $chosen-text-muted-bg-info !important;
}

.tiki .chosen-container .chosen-choices .search-choice + .search-field input[type="text"] {
	display: none;
}

.tiki .chosen-container.chosen-container-active .chosen-choices .search-choice + .search-field input[type="text"] {
	display: inherit;
}

// AnythingSlider (wikiplugin_slider) compatibility

.tiki .anythingSlider,
.tiki .anythingWindow,
.tiki .anythingBase,
.tiki .anythingBase > .card {
		-webkit-box-sizing: content-box;
		-moz-box-sizing: content-box;
		box-sizing: content-box;
}

.tiki .anythingBase > .card {
	margin-bottom: 0;
	background-color: inherit;
	border: none;
	border-radius: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
}

// elFinder tiki overrides

/* prevents elFinder dialog appearing under the embedded pane */
.std42-dialog.elfinder-dialog {
	position:absolute;
}

.elFinderDialog.elfinder {
	visibility: visible;
}

// for the error dialogs

.ui-dialog.elfinder-dialog-error .ui-dialog-content,
.ui-dialog.elfinder-dialog-confirm .ui-dialog-content { padding-left: 56px; min-height:35px; }

.elfinder-rtl .ui-dialog.elfinder-dialog-error .ui-dialog-content,
.elfinder-rtl .ui-dialog.elfinder-dialog-confirm .ui-dialog-content { padding-left:0; padding-right: 56px; }

// quicklook titlebar was behind the image
.elfinder-quicklook-titlebar {
	z-index: 1;
}

// toolbar layout fix
.tiki .elfinder .elfinder-button-search {
	padding-top: 2px;
}
.tiki .elfinder .elfinder-button-search input {
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
}

// h5p tweaks

.tiki-h5p-edit .form-item-title {
	display: none;
}

